<section class="page-wrap">
  <h1 class="page-title">Registration</h1>
  <form class="form-login" [formGroup]="form" (ngSubmit)="submit()">
    <app-input
      [control]="form.get(registrationControls.EMAIL)"
      type="email"
      label="Email"
      class="login-input"
    ></app-input>
    <app-input
      [control]="form.get(registrationControls.PASSWORD)"
      type="password"
      label="Password"
      class="login-input"
    ></app-input>
    <app-input
      [control]="form.get(registrationControls.PASSWORD_CONFIRM)"
      type="password"
      label="Confirm Password"
      class="login-input"
    ></app-input>
    <button class="btn btn_default" [disabled]="form.invalid || isSubmitted">
      Sign up
    </button>
  </form>
</section>
